//led.c
#include <iolpc2138.h>
#include "led.h"

//it's a simple delay
void Delay (unsigned long a) {
  while (--a!=0);
}

// init led port
void LedsInit(void) {
  IO0DIR_bit.P0_31 = 1;    //set port0.31 to output
  IO0SET_bit.P0_31 = 1;    //off led
}

// single blink led 1
void Led1Blink(void) {
  IO0CLR_bit.P0_31 = 1;    //on led
  Delay(50000);            //delay
  IO0SET_bit.P0_31 = 1;    //off led
  Delay(50000);            //delay
}

// turn on led 1
void Led1On(void) {
  IO0CLR_bit.P0_31 = 1;    //on led
}

// turn off led 1
void Led1Off(void) {
  IO0SET_bit.P0_31 = 1;    //off led
}

