// relay.c
#include "relay.h"
#include <iolpc2138.h>

// Init relay
void InitRelay(void) {
    IO0DIR_bit.P0_23 = 1;    //set port0.23 to output
}

// Set relay status
void SetRelayState(char state)
{
  //state = 1 -> relay ON
  //state = 0 -> relay OFF
  if(state == 0) IO0SET_bit.P0_23 = 1;
  if(state == 1) IO0CLR_bit.P0_23 = 1;

}

